
Figure - Bug #118441
【内部】【VC1】【0100】【台架】【EE环境】【副屏】【小窗模式】预置音乐应用小窗模式下，且操作模式
是左手模式，全屏打开相册应用，左上角应用图标与顶部状态栏时间重叠
2023-06-01 20:00 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 100

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-06

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230601 16：34

【前提条件】：副屏上电，中控已连接，系统设置左手模式

【操作步骤】

1.操作模式是左手模式

2.预置音乐应用进入小窗模式

3.全屏打开相册应用

【实际结果】

1.相册应用左上角应用图标与顶部状态栏重叠

【期望结果】

1.相册应用左上角应用图标不会与顶部状态栏重叠

【备注】：

【当前开机次数】：146

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.0100.c103

【备注】本地可复现，必现，为节约时间没下载日志，有需要联系我

History

#1 - 2023-06-01 20:10 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

帮忙看下这个问题
#2 - 2023-06-02 19:56 - CD APP-王营

- % Done changed from 0 to 60

【状态】

已修复

【分析】

小窗启动，Gallery界面回到后台，小窗会唤出statusBar，需要在Gallery Activity回到后台时候调用隐藏状态栏方法。

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/204402

#3 - 2023-06-05 14:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204402 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Gallery2: Remove status bar when free form existTC-RID: 0301-0300701IssueID: TS-R-BUG-118441Change-Id:

Iac498d1b0416d005ef74bea191c95af93c475905

#4 - 2023-06-05 14:15 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-06

- Root cause set to 编码问题

#5 - 2023-06-08 15:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD APP-王营

6.8

DB验证失败

#6 - 2023-06-09 17:42 - CD APP-王营

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#7 - 2023-06-10 14:58 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CD TEST-方永红
■ Current conclusion

分析完毕

■ My analysis

由于原生平板没有小窗功能，用自己的安卓手机作为参考。(oppo ace2)

先打开一个小窗应用，然后再打开相册中的图片（该页面是全屏），情况和我们的设备相同。

主要原因是因为相册是一个全屏的应用，但是随着小窗的启动，小窗获取到了状态栏的焦点导致状态栏显现。

因此我认识这是一个正常的情况。

另外，相册的入口也已隐藏，所以此问题可以关闭

■ Next action

正常现象，可以关闭

#8 - 2023-07-03 17:12 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

#9 - 2023-07-03 17:13 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#10 - 2023-07-03 17:13 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

f07b8fa0-008e-4b93-a791-12d597fbbeb7.jpg 85.6 KB 2023-06-01 CD TEST-方永红

2025-07-04 3/3


